package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 兑换码分配表(RedemptionCode)表实体类
 *
 * @author makejava
 * @since 2021-12-27 14:27:57
 */
@ApiModel(value = "redemption_code-兑换码分配表")
public class AppRedemptionCode implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "${column.comment}")
    private Integer id;

    @TableField("url_")
    @ApiModelProperty(value = "兑换url")
    private String url;

    @TableField("code_")
    @ApiModelProperty(value = "兑换码")
    private String code;

    @TableField("user_id_")
    @ApiModelProperty(value = "分配用户")
    private Integer userId;

    @TableField("import_time_")
    @ApiModelProperty(value = "导入时间")
    private Date importTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @TableField("status_")
    @ApiModelProperty(value = "状态 1-已导入未分配 2-预分配 3-已分配")
    private String status;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }


}

